import request from '@/utils/request'

/**
 * 消息列表
 * @param {Object} data 参数
 */
export function query(data) {
	return request({
		'url': '/chat/list',
		headers: {
			isToken: true
		},
		'method': 'post',
		'data': data
	})
}

/**
 * 消息条数
 * @param {Object} data 参数
 */
export function count() {
	return request({
		'url': '/chat/amount',
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}

/**
 * 消息详情
 * @param {Number} id 消息ID
 */
export function detail(id) {
	return request({
		'url': `/chat/${id}`,
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}